<ng-container *transloco="let t">
  <h2 mat-dialog-title>{{ t(data.title) }}</h2>
  <mat-dialog-content>
    @if (data.message) {
      <p>{{ t(data.message) }}</p>
    }
    @if (data.message2) {
      <p>{{ t(data.message2) }}</p>
    }
    @if (data && data.data && data.data.length > 0) {
        <p class="text-secondary" *ngIf="data.idAttrMessage1">{{ t(data.idAttrMessage1)}}</p>
        <div *ngFor="let el of data.data">
          {{el.name}}
        </div>
    } @else {
      <p *ngIf="data.extraMessage && data.idAttrMessage2" class="text-secondary">{{ t(data.idAttrMessage2)}}</p>
    }
  </mat-dialog-content>
  @if (!data.noCloseButtons) {
    <mat-dialog-actions>
      <button mat-button mat-dialog-close>{{ t(data.cancel) }}</button>
      <button mat-button mat-dialog-close color="accent" [mat-dialog-close]="true">{{ t(data.confirm) }}</button>
    </mat-dialog-actions>
  }
</ng-container>
